package org.openbravo;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.OutputStream;
import java.util.HashMap;
import java.util.Map;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperPrint;
import net.sf.jasperreports.engine.export.JRHtmlExporter;
import net.sf.jasperreports.engine.export.JRHtmlExporterParameter;

public class JasperC2CompilerCrash {

  public static void main(String[] args) throws JRException, FileNotFoundException, IOException,
      ClassNotFoundException {
    Map<Object, Object> exportParameters = new HashMap<Object, Object>();

    File out = new File("output.html");
    OutputStream os = new FileOutputStream(out);

    JasperPrint jasperPrint;
    String fileName = "crash.jasperprint";
    ObjectInputStream obIn = new ObjectInputStream(new FileInputStream(fileName));
    Object res = obIn.readObject();
    obIn.close();
    jasperPrint = (JasperPrint) res;

    final JRHtmlExporter exporter = new JRHtmlExporter();
    exportParameters.put(JRHtmlExporterParameter.JASPER_PRINT, jasperPrint);
    exportParameters.put(JRHtmlExporterParameter.OUTPUT_STREAM, os);

    exporter.setParameters(exportParameters);
    exporter.exportReport();

  }

}
